commit:     95eb535e5071dcef0e6174c4e2f5c39003c35543
Author:     Sam James <sam <AT> gentoo <DOT> org>
AuthorDate: Thu Sep 10 02:15:14 2020 +0000
Commit:     Sam James <sam <AT> gentoo <DOT> org>
CommitDate: Thu Sep 10 02:15:17 2020 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=95eb535e

dev-lang/ispc: disable x86 build on amd64

The build system assumes we want an x86 (i686)
build on amd64, even if we don't (not a multilib
ebuild anyway, but this is a particular issue
on non-multilib profiles).

Bug: https://bugs.gentoo.org/730062
Package-Manager: Portage-3.0.4, Repoman-3.0.1
Signed-off-by: Sam James <sam <AT> gentoo.org>

 dev-lang/ispc/ispc-1.14.1.ebuild | 12 ++++++++++++
 dev-lang/ispc/ispc-9999.ebuild   | 14 +++++++++++++-
 2 files changed, 25 insertions(+), 1 deletion(-)

diff --git a/dev-lang/ispc/ispc-1.14.1.ebuild b/dev-lang/ispc/ispc-1.14.1.ebuild
index 0bd27f696f5..0fe93ece37e 100644
--- a/dev-lang/ispc/ispc-1.14.1.ebuild
+++ b/dev-lang/ispc/ispc-1.14.1.ebuild
@@ -42,6 +42,18 @@ PATCHES=(
        "${FILESDIR}/${PN}-1.13.0-werror.patch"
 )
 
+src_prepare() {
+       if use amd64; then
+               # On amd64 systems, build system enables x86/i686 build too.
+               # This ebuild doesn't even have multilib support, nor need it.
+               # https://bugs.gentoo.org/730062
+               elog "Removing auto-x86 build on amd64"
+               sed -i -e 's:set(target_arch "i686"):return():' 
cmake/GenerateBuiltins.cmake || die
+       fi
+
+       cmake_src_prepare
+}
+
 src_configure() {
        local mycmakeargs=(
                "-DARM_ENABLED=$(usex arm)"

diff --git a/dev-lang/ispc/ispc-9999.ebuild b/dev-lang/ispc/ispc-9999.ebuild
index bba207d71c5..0fe93ece37e 100644
--- a/dev-lang/ispc/ispc-9999.ebuild
+++ b/dev-lang/ispc/ispc-9999.ebuild
@@ -42,6 +42,18 @@ PATCHES=(
        "${FILESDIR}/${PN}-1.13.0-werror.patch"
 )
 
+src_prepare() {
+       if use amd64; then
+               # On amd64 systems, build system enables x86/i686 build too.
+               # This ebuild doesn't even have multilib support, nor need it.
+               # https://bugs.gentoo.org/730062
+               elog "Removing auto-x86 build on amd64"
+               sed -i -e 's:set(target_arch "i686"):return():' 
cmake/GenerateBuiltins.cmake || die
+       fi
+
+       cmake_src_prepare
+}
+
 src_configure() {
        local mycmakeargs=(
                "-DARM_ENABLED=$(usex arm)"
@@ -63,5 +75,5 @@ src_install() {
 
 src_test() {
        # Inject path to prevent using system ispc
-       PATH="${BUILD_DIR}/bin:${PATH}" ${EPYTHON} run_tests.py || die "Testing 
failed with ${EPYTHON}"
+       PATH="${BUILD_DIR}/bin:${PATH}" ${EPYTHON} run_tests.py || die "Testing 
failed under ${EPYTHON}"
 }

Reply via email to